# Uses of Enum
org.eclipse.birt.chart.model.attribute.UnitsOfMeasurement

Packages that use UnitsOfMeasurement
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of UnitsOfMeasurement in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type UnitsOfMeasurement
Modifier and Type
Field
Description
`static final List<UnitsOfMeasurement>`
UnitsOfMeasurement.`VALUES`
A public read-only list of all the 'Units Of Measurement' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return UnitsOfMeasurement
Modifier and Type
Method
Description
`static UnitsOfMeasurement`
UnitsOfMeasurement.`get(int value)`
Returns the 'Units Of Measurement' literal with the specified integer value.
`static UnitsOfMeasurement`
UnitsOfMeasurement.`get(String literal)`
Returns the 'Units Of Measurement' literal with the specified literal value.
`static UnitsOfMeasurement`
UnitsOfMeasurement.`getByName(String name)`
Returns the 'Units Of Measurement' literal with the specified name.
`static UnitsOfMeasurement`
UnitsOfMeasurement.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static UnitsOfMeasurement[]`
UnitsOfMeasurement.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of UnitsOfMeasurement in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return UnitsOfMeasurement
Modifier and Type
Method
Description
`UnitsOfMeasurement`
AttributeFactoryImpl.`createUnitsOfMeasurementFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`UnitsOfMeasurement`
AttributeFactoryImpl.`createUnitsOfMeasurementObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`